CREATE OR REPLACE PROCEDURE USR_EXPORTA_SOLCOMP(V_NOME IN VARCHAR)
IS

--ESPECIFICO TABELA INT
V_CDFILSOLI    ITEMSOLI.CDFILSOLI%TYPE;
V_CDPRODUTO    ITEMSOLI.CDPRODUTO%TYPE;
V_SGUNIDMED    PRODUTO.SGUNIDADE%TYPE;
V_DTPROGENTR   ITEMSOLI.DTPROGENTR%TYPE;
V_QTSOLIPROD   ITEMSOLI.QTSOLIPROD%TYPE;
V_ERRO 			   VARCHAR2(5000);
V_OBS			      VARCHAR2(5000);

V_DTINI        DATE;
V_DTFIN        DATE;

CURSOR C_SOLICOMPRA IS
   SELECT I.CDFILSOLI CDFILISOLI, I.CDPRODUTO, P.SGUNIDADE, I.DTPROGENTR, SUM(I.QTSOLIPROD) QTSOLIPROD
     FROM ITEMSOLI I, (SELECT CDPRODUTO, SGUNIDADE
                         FROM PRODUTO
                        WHERE CDNVPRODUTO = '5') P
    WHERE I.DTPROGENTR BETWEEN V_DTINI AND V_DTFIN
      AND I.CDPRODUTO = P.CDPRODUTO
      AND NVL(I.USR_SHA_INTEGRADO, 'N') = 'N'
      AND NVL(I.IDSOLIAPROV, 'N')       = 'S'
     GROUP BY I.CDFILSOLI, I.CDPRODUTO, P.SGUNIDADE, I.DTPROGENTR;

BEGIN
   V_DTINI := TRUNC(SYSDATE - 1);
   V_DTFIN := TRUNC(SYSDATE + 730);

   OPEN C_SOLICOMPRA;
   LOOP
     FETCH C_SOLICOMPRA INTO V_CDFILSOLI,
                     V_CDPRODUTO,
                     V_SGUNIDMED,
                     V_DTPROGENTR,
                     V_QTSOLIPROD;
      EXIT WHEN C_SOLICOMPRA%NOTFOUND;

      V_ERRO := NULL;
      V_OBS  := NULL;

      INSERT INTO USR_ITEMSOLI_SHA(CDFILISOLI, CDPRODUTO, SGUNIDMED, DTPROGENTR, QTSOLIPROD)
      VALUES (V_CDFILSOLI, V_CDPRODUTO, V_SGUNIDMED, V_DTPROGENTR, V_QTSOLIPROD);

      UPDATE ITEMSOLI
         SET USR_SHA_INTEGRADO = 'S'
       WHERE CDFILSOLI  = V_CDFILSOLI
         AND CDPRODUTO  = V_CDPRODUTO
         AND DTPROGENTR = V_DTPROGENTR;
   END LOOP;
   CLOSE C_SOLICOMPRA;


   COMMIT;
   --DROPA O JOB AO ENCERRAR O PROCESSO
   BEGIN
      DBMS_SCHEDULER.DROP_JOB(V_NOME);
   EXCEPTION
      WHEN OTHERS THEN
           NULL;
   END;
EXCEPTION
WHEN OTHERS THEN
   V_ERRO := SQLERRM(SQLCODE);
   DBMS_OUTPUT.PUT_LINE(V_ERRO);
END;
/

-- VERSAO --
BEGIN ATUVEROBJ('USR_EXPORTA_SOLCOMP','6.45.017'); END;
/

